- Added condrestart to Redhat init script. Patch from Pekka Savola
<pekkas@netcore.fi>
- Update version in Redhat spec file
diff --git a/contrib/redhat/sshd.init b/contrib/redhat/sshd.init
index a30d480..83c10a8 100755
--- a/contrib/redhat/sshd.init
+++ b/contrib/redhat/sshd.init
@@ -81,12 +81,19 @@
$0 start
RETVAL=$?
;;
+ condrestart)
+ if [ -f /var/lock/subsys/sshd ] ; then
+ $0 stop
+ $0 start
+ RETVAL=$?
+ fi
+ ;;
status)
status sshd
RETVAL=$?
;;
*)
- echo "Usage: sshd {start|stop|restart|status}"
+ echo "Usage: sshd {start|stop|restart|status|condrestart}"
exit 1
;;
esac